aboutsummaryrefslogtreecommitdiffstats
path: root/emacs-prolog-mode (not maintaining)/watch
diff options
context:
space:
mode:
authorMattias Andrée <maandree@operamail.com>2013-04-11 01:52:32 +0200
committerMattias Andrée <maandree@operamail.com>2013-04-11 01:52:32 +0200
commit5fa77f6ef44ef741328197c99305695dacd3eb49 (patch)
tree0cad7b9ead36e0932554f7e94dd3b0eb34d5cf94 /emacs-prolog-mode (not maintaining)/watch
parentm (diff)
downloadaur-packages-5fa77f6ef44ef741328197c99305695dacd3eb49.tar.gz
aur-packages-5fa77f6ef44ef741328197c99305695dacd3eb49.tar.bz2
aur-packages-5fa77f6ef44ef741328197c99305695dacd3eb49.tar.xz
more packages
Signed-off-by: Mattias Andrée <maandree@operamail.com>
Diffstat (limited to '')
-rwxr-xr-xemacs-prolog-mode (not maintaining)/watch21
1 files changed, 21 insertions, 0 deletions
diff --git a/emacs-prolog-mode (not maintaining)/watch b/emacs-prolog-mode (not maintaining)/watch
new file mode 100755
index 0000000..8832b47
--- /dev/null
+++ b/emacs-prolog-mode (not maintaining)/watch
@@ -0,0 +1,21 @@
+#!/bin/sh
+
+[ -f prolog.el ] && rm prolog.el
+
+wget 'http://bruda.ca/_media/emacs/prolog.el' -O prolog.el >/dev/null 2>/dev/null
+
+if [ $? = 0 ]; then
+ [ -f unfetchable ] && rm unfetchable
+ md5sum prolog > new-sum
+ touch sum
+ if [ "$(cat sum)" = "$(cat new-sum)" ]; then
+ rm new-sum
+ else
+ mv new-sum sum
+ echo 'emacs-prolog-mode'
+ fi
+elif [ ! -f unfetchable ]; then
+ touch unfetchable
+ echo 'emacs-prolog-mode (unfetchable)'
+fi
+